org.apache.olingo.odata2.api.ep.callback

## Class TombstoneCallbackResult

- java.lang.Object
- - org.apache.olingo.odata2.api.ep.callback.TombstoneCallbackResult

-     public class TombstoneCallbackResult
      extends Object

  Objects of this class are a container for the result of the `TombstoneCallback`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TombstoneCallbackResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Map<String,Object>>` | `getDeletedEntriesData()` A map representing a deleted entry MUST contain all properties which are part of the key for this entry.
    `String` | `getDeltaLink()`
    `void` | `setDeletedEntriesData(List<Map<String,Object>> deletedEntriesData)` Sets the data for all deleted entries
    `void` | `setDeltaLink(String deltaLink)` Sets the delta link to retrieve a delta.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TombstoneCallbackResult

          public TombstoneCallbackResult()

  - ### Method Detail

    - #### getDeletedEntriesData

          public List<Map<String,Object>> getDeletedEntriesData()

      A map representing a deleted entry MUST contain all properties which are part of the key for this entry.
      A map representing a deleted entry MAY contain the property which is mapped on SyndicationUpdated. The provided value here will result in the value of the "when" attribute of the deleted entry.
      Returns:
        deleted entries in the form of List<Map<property name, property value> >

    - #### setDeletedEntriesData

          public void setDeletedEntriesData(List<Map<String,Object>> deletedEntriesData)

      Sets the data for all deleted entries
      Parameters:
        `deletedEntriesData` -

    - #### getDeltaLink

          public String getDeltaLink()

      Returns:
        delta link as String

    - #### setDeltaLink

          public void setDeltaLink(String deltaLink)

      Sets the delta link to retrieve a delta.
      Parameters:
        `deltaLink` -

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.